PUSH [===[]===]
if VERSION ~= 5.2 then DISABLE() end
PUSH [===[
---@meta bit32

---@version 5.2
]===]
DES 'bit32'
PUSH [===[
---@class bit32lib
bit32 = {}

]===]
DES 'bit32.arshift'
PUSH [===[
---@param x    integer
---@param disp integer
---@return integer
---@nodiscard
function bit32.arshift(x, disp) end

]===]
DES 'bit32.band'
PUSH [===[
---@return integer
---@nodiscard
function bit32.band(...) end

]===]
DES 'bit32.bnot'
PUSH [===[
---@param x integer
---@return integer
---@nodiscard
function bit32.bnot(x) end

]===]
DES 'bit32.bor'
PUSH [===[
---@return integer
---@nodiscard
function bit32.bor(...) end

]===]
DES 'bit32.btest'
PUSH [===[
---@return boolean
---@nodiscard
function bit32.btest(...) end

]===]
DES 'bit32.bxor'
PUSH [===[
---@return integer
---@nodiscard
function bit32.bxor(...) end

]===]
DES 'bit32.extract'
PUSH [===[
---@param n      integer
---@param field  integer
---@param width? integer
---@return integer
---@nodiscard
function bit32.extract(n, field, width) end

]===]
DES 'bit32.replace'
PUSH [===[
---@param n integer
---@param v integer
---@param field  integer
---@param width? integer
---@nodiscard
function bit32.replace(n, v, field, width) end

]===]
DES 'bit32.lrotate'
PUSH [===[
---@param x     integer
---@param distp integer
---@return integer
---@nodiscard
function bit32.lrotate(x, distp) end

]===]
DES 'bit32.lshift'
PUSH [===[
---@param x     integer
---@param distp integer
---@return integer
---@nodiscard
function bit32.lshift(x, distp) end

]===]
DES 'bit32.rrotate'
PUSH [===[
---@param x     integer
---@param distp integer
---@return integer
---@nodiscard
function bit32.rrotate(x, distp) end

]===]
DES 'bit32.rshift'
PUSH [===[
---@param x     integer
---@param distp integer
---@return integer
---@nodiscard
function bit32.rshift(x, distp) end

return bit32
]===]